<?php

$chtmlType = $model->type;
$chtmlData = '';
$htmlOptions = array();

if ($chtmlType == NetworkSettingsValueType::bool) {
    $chtmlData = array('uncheckValue' => '0');
}
echo CHtml::$chtmlType('NetworkSettings[' . $model->key . ']', $model->value, $chtmlData, $htmlOptions);
